


<h1><a name="gprof" id="gprof">Gprof</a></h1>
<div class="level1">

<p>

<a href="http://www.cs.utah.edu/dept/old/texinfo/as/gprof.html" class="urlextern" title="http://www.cs.utah.edu/dept/old/texinfo/as/gprof.html"  rel="nofollow">GNU Profiler </a> - Determine which parts of a program are taking most of the execution time <br/>

</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Gprof" [1-172] -->
<h2><a name="how_to_compile" id="how_to_compile">How to compile</a></h2>
<div class="level2">

<p>

Just add -pg option when compiling and linking.
</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to compile" [173-249] -->
<h2><a name="how_to_interpret_profile_data" id="how_to_interpret_profile_data">How to interpret profile data</a></h2>
<div class="level2">
<pre class="code bash">$ gprof <span class="re5">-c</span> program_name</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to interpret profile data" [250-] -->